All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::msg Namespace Reference

## Classes

class | _msg
| Internal message object (called by UHD_MSG macro) More...

## Typedefs

typedef void(* | handler_t )(type_t, const std::string &)
| Typedef for a user-registered message handler. More...

## Enumerations

enum | type_t { status = 's', warning = 'w', error = 'e', fastpath = 'f' }
| Possible message types. More...

## Functions

UHD_API void | register_handler (const handler_t &handler)

## Typedef Documentation

typedef void(* uhd::msg::handler_t)(type_t, const std::string &)

Typedef for a user-registered message handler.

## Enumeration Type Documentation

enum uhd::msg::type_t

Possible message types.

Enumerator
status |
warning |
error |
fastpath |

## Function Documentation

UHD_API void uhd::msg::register_handler | ( | const handler_t & | handler | ) |

Register the handler for uhd system messages. Only one handler can be registered at once. This replaces the default std::cout/cerr handler.

Parameters

  handler | a new handler callback function